# Define version and release number
%define modname msgpack
%define soname %{modname}.so
%define inifile A50_%{modname}.ini
%define incdir %(php-config --include-dir)
%define extdir %(php-config --extension-dir)


Name:		php-%{modname}
Version:	2.2.0
Release:	%mkrel 3
Group:		Development/PHP
Summary:	PHP extension for interfacing with MessagePack
License:	New BSD
URL:		https://pecl.php.net/package/msgpack
Source0:	https://pecl.php.net/get/%{modname}-%{version}.tgz
BuildRequires:	pkgconfig(msgpack)
BuildRequires:	php-devel >= 3:8.3.0
Requires:       php >= 3:8.3.0
Requires:       php-common = 3:8.3

%description
This extension provide API for communicating with MessagePack serialization.

%prep

%setup -q -n %{modname}-%{version}
[ "../package*.xml" != "/" ] && mv ../package*.xml .

# lib64 fix
perl -pi -e "s|/lib\b|/%{_lib}|g" config.m4

%build
%serverbuild

phpize
%configure --with-libdir=%{_lib} \
    --with-%{modname}=shared,%{_prefix}

%make_build
mv modules/*.so .

%install
install -d %{buildroot}%{extdir}
install -d %{buildroot}%{_sysconfdir}/php.d
install -d %{buildroot}%{incdir}/ext/%{modname}

install -m755 %{soname} %{buildroot}%{extdir}/
install php_msgpack.h %{buildroot}%{incdir}/ext/%{modname}/


cat > %{buildroot}%{_sysconfdir}/php.d/%{inifile} << EOF
extension = %{modname}
EOF

%files
%doc package*.xml README.md
%config(noreplace) %attr(0644,root,root) %{_sysconfdir}/php.d/%{inifile}
%attr(0755,root,root) %{extdir}/%{soname}
%{incdir}/ext/%{modname}/php_msgpack.h


%changelog
* Thu Dec 28 2023 mokraemer <mokraemer> 2.2.0-3.mga9
+ Revision: 2023388
- fix requires

* Sun Sep 24 2023 mokraemer <mokraemer> 2.2.0-3.mga10
+ Revision: 1990176
- rebuild for new msgpack

* Fri Sep 08 2023 mokraemer <mokraemer> 2.2.0-2.mga10
+ Revision: 1985185
- rebuild for php 8.3

* Mon Jun 05 2023 mokraemer <mokraemer> 2.2.0-1.mga9
+ Revision: 1960961
- new version 2.2.0

* Fri Nov 04 2022 mokraemer <mokraemer> 2.1.2-7.mga9
+ Revision: 1902467
+ rebuild (emptylog)

* Wed Aug 24 2022 mokraemer <mokraemer> 2.1.2-6.mga9
+ Revision: 1879985
- fix dir
- update extension for new directories

* Fri Jul 22 2022 mokraemer <mokraemer> 2.1.2-5.mga9
+ Revision: 1869970
- fix dependancy error

* Thu Jul 21 2022 mokraemer <mokraemer> 2.1.2-4.mga9
+ Revision: 1869839
- rebuild for php 8.2

* Wed Mar 30 2022 umeabot <umeabot> 2.1.2-3.mga9
+ Revision: 1833715
- Mageia 9 Mass Rebuild

* Fri Nov 26 2021 mokraemer <mokraemer> 2.1.2-2.mga9
+ Revision: 1759393
- rebuild for php 8.1

* Sat Nov 28 2020 mokraemer <mokraemer> 2.1.2-1.mga8
+ Revision: 1649891
- new version 2.1.2

* Tue Jul 28 2020 mokraemer <mokraemer> 2.1.1-1.mga8
+ Revision: 1609387
- new version 2.1.1

* Thu Jun 18 2020 mokraemer <mokraemer> 2.1.0-2.mga8
+ Revision: 1596226
- fix dep to current version

* Mon Mar 02 2020 mokraemer <mokraemer> 2.1.0-1.mga8
+ Revision: 1553108
- new version 2.1.0

* Tue Feb 18 2020 umeabot <umeabot> 2.0.3-5.mga8
+ Revision: 1538982
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Fri Nov 29 2019 mokraemer <mokraemer> 2.0.3-4.mga8
+ Revision: 1463534
+ rebuild (emptylog)

* Mon Oct 21 2019 mokraemer <mokraemer> 2.0.3-3.mga8
+ Revision: 1454923
- removed dirname

* Fri Dec 21 2018 mokraemer <mokraemer> 2.0.3-2.mga7
+ Revision: 1344208
- removed test files, added interface

* Thu Dec 20 2018 mokraemer <mokraemer> 2.0.3-1.mga7
+ Revision: 1343484
- new version 2.0.3 for php 7.3
- rebuild

* Fri Oct 26 2018 mokraemer <mokraemer> 2.0.2-4.mga7
+ Revision: 1326068
- updated requires
- updated requires

* Fri Oct 05 2018 mokraemer <mokraemer> 2.0.2-3.mga7
+ Revision: 1317935
- correct massrebuild
+ umeabot <umeabot>
- Mageia 7 Mass Rebuild

* Sun Dec 24 2017 mokraemer <mokraemer> 2.0.2-2.mga7
+ Revision: 1184549
+ rebuild (emptylog)

* Sun Dec 24 2017 mokraemer <mokraemer> 2.0.2-1.mga7
+ Revision: 1184544
- new msgpack decoder for php
- Created package structure for php-msgpack.

